#!/bin/bash
echo "makin fuckin docker DIE to rebuild it"

sudo docker stop $(sudo docker ps -a -q) &>/dev/null
sudo docker rm -v $(sudo docker ps -a -q) &>/dev/null
sudo docker rmi $(sudo docker images -a -q) &>/dev/null
sudo docker volume rm $(sudo docker volume ls -q) &>/dev/null
sudo docker network rm $(sudo docker network ls -q) &>/dev/null
sudo systemctl stop docker &>/dev/null
sudo systemctl disable docker &>/dev/null

echo "docker containers and shit NUKED now purgan the apps fuuuck"

sudo apt update &>/dev/null
sudo apt purge docker.io docker-compose -y &>/dev/null

echo "docker shit fuckin purgedddd! ok now re-installin da docker shit"

sudo apt install -y docker.io docker-compose &>/dev/null

echo "re-enablin da docker shit ig"

sudo systemctl stop docker.service docker.socket &>/dev/null
sudo systemctl start docker.service docker.socket &>/dev/null
sudo systemctl enable docker.service docker.socket &>/dev/null
sudo systemctl status docker.service docker.socket &>/dev/null

echo "nukan docker-data"


echo "donesies docker back in black :3"